| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLLCPTranscoder Class Reference

Inheritance diagram for XMLLCPTranscoder:

[legend]
List of all members.

## Public Member Functions

virtual | ~XMLLCPTranscoder ()
virtual unsigned int | calcRequiredSize (const char *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual unsigned int | calcRequiredSize (const XMLCh *const srcText, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual char * | transcode (const XMLCh *const toTranscode)=0
virtual char * | transcode (const XMLCh *const toTranscode, MemoryManager *const manager)=0
virtual XMLCh * | transcode (const char *const toTranscode)=0
virtual XMLCh * | transcode (const char *const toTranscode, MemoryManager *const manager)=0
virtual bool | transcode (const char *const toTranscode, XMLCh *const toFill, const unsigned int maxChars, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0
virtual bool | transcode (const XMLCh *const toTranscode, char *const toFill, const unsigned int maxBytes, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)=0

## Protected Member Functions

| XMLLCPTranscoder ()

## Constructor & Destructor Documentation

virtual XMLLCPTranscoder::~XMLLCPTranscoder | ( |  | ) | `[virtual]`

XMLLCPTranscoder::XMLLCPTranscoder | ( |  | ) | `[protected]`

## Member Function Documentation

virtual unsigned int XMLLCPTranscoder::calcRequiredSize | ( | const XMLCh *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[pure virtual]`

virtual unsigned int XMLLCPTranscoder::calcRequiredSize | ( | const char *const | srcText,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[pure virtual]`

virtual bool XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | char *const | toFill,
|  | const unsigned int | maxBytes,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[pure virtual]`

virtual bool XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | XMLCh *const | toFill,
|  | const unsigned int | maxChars,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) | `[pure virtual]`

virtual XMLCh* XMLLCPTranscoder::transcode | ( | const char *const | toTranscode,
|  | MemoryManager *const | manager
| ) | `[pure virtual]`

virtual XMLCh* XMLLCPTranscoder::transcode | ( | const char *const | toTranscode | ) | `[pure virtual]`

virtual char* XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode,
|  | MemoryManager *const | manager
| ) | `[pure virtual]`

virtual char* XMLLCPTranscoder::transcode | ( | const XMLCh *const | toTranscode | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- TransService.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.